Bug 2161 - Неправильно считает проценты, если устанавливаются виртуальные пакеты
: Неправильно считает проценты, если устанавливаются виртуальные пакеты
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/apt)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-02-06 10:16 by
Modified: 2008-02-15 21:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-02-06 10:16:51
43 пакета будут обновлены, но показало, что только 42 было установленно

[<a href="mailto:root@robinl" target="_new">root@robinl</a> ALTLinux]# apt-get
dist-upgrade
Reading Package Lists... Done
Collecting File Provides... Done
Building Dependency Tree... Done
Calculating Upgrade... Done
The following packages will be upgraded
  altlinux-release consolehelper glib2 gnome-control-center gnome-desktop
  gnome2-games-common gnome2-games-xbill kde-i18n-ru kde-i18n-uk
  kdegraphics-devel kdegraphics-kamera kdegraphics-kcoloredit kdegraphics-kdvi
  kdegraphics-kghostview kdegraphics-kiconedit kdegraphics-kooka
  kdegraphics-kpaint kdegraphics-ksnapshot kdegraphics-kuickshow
  kdegraphics-kview kdegraphics-kviewshell kdegraphics-libkscan kdetoys
  kdetoys-amor kdetoys-devel kdetoys-eyes kdetoys-fifteen kdetoys-kaphorism
  kdetoys-kmoon kdetoys-kodo kdetoys-kteatime kdetoys-ktux kdetoys-kweather
  kdetoys-kworldclock kernel24-headers libalsa2 libalsa2-devel libgdkcardimage
  libgnome-desktop libgtk+2 libmetacity libpango userpasswd
43 packages upgraded, 0 newly installed, 0 removed and 0 not upgraded.
Need to get 0B/17,0MB of archives. After unpacking 1046kB will be used.
Do you want to continue? [Y/n] y
Executing RPM (/bin/rpm -Uvh --fancypercent --oldpackage)...
Preparing ############################# [100%]
 1: altlinux-release        ################### [  2%]
 2: kernel24-headers      ################### [  4%]
 3: kde-i18n-ru             ################### [  6%]
 4: kde-i18n-uk             ################### [  9%]
 5: kdegraphics-kview     ################## [ 11%]
 6: kdegraphics-kviewshell  ################# [ 13%]
 7: kdegraphics-libkscan    ################# [ 16%]
 8: kdegraphics-devel       ################# [ 18%]
 9: kdegraphics-kooka       ################# [ 20%]
10: kdetoys-amor            ################# [ 23%]
11: kdetoys-devel           ################# [ 25%]
12: kdetoys-eyes            ################# [ 27%]
13: kdetoys-fifteen         ################# [ 30%]
14: kdetoys-kaphorism       ################ [ 32%]
15: kdetoys-kmoon           ################ [ 34%]
16: kdetoys-kodo            ################# [ 37%]
17: kdetoys-kteatime        ################# [ 39%]
18: kdetoys-ktux            ################# [ 41%]
19: kdetoys-kweather      ################## [ 44%]
20: kdetoys-kworldclock   ################## [ 46%]
21: libalsa2                     ################# [ 48%]
22: libalsa2-devel            ################## [ 51%]
23: glib2                        ################# [ 53%]
24: libpango                   ################# [ 55%]
25: libgtk+2                   ################# [ 58%]
26: consolehelper           ################# [ 60%]
27: libgnome-desktop      ################# [ 62%]
28: gnome-desktop         ################# [ 65%]
29: libmetacity              ################# [ 67%]
30: gnome-control-center    ############## [ 69%]
31: gnome2-games-common     ############ [ 72%]
32: gnome2-games-xbill      ############## [ 74%]
Updating /usr/share/omf/gnome-games/xbill-C.omf
33: kdegraphics-kamera      ############### [ 76%]
34: kdegraphics-kcoloredit  ############### [ 79%]
35: kdegraphics-kdvi        ################ [ 81%]
36: kdegraphics-kghostview  ############## [ 83%]
37: kdegraphics-kiconedit   ############### [ 86%]
38: kdegraphics-kpaint      ############### [ 88%]
39: kdegraphics-ksnapshot   ############## [ 90%]
40: kdegraphics-kuickshow   ############## [ 93%]
41: libgdkcardimage          ############### [ 95%]
42: userpasswd               ############### [ 97%]
[<a href="mailto:root@robinl" target="_new">root@robinl</a> ALTLinux]#
---

---
------- Comment #1 From 2003-02-06 10:34:48 -------
У меня ситуация с точностью до наоборот. Заявлено было 67 пакетов, а
поставлено/обновлено 69. Более того - за alsa2 \&quot;зацепились\&quot; alsa22
и kernel22. В результате этого пришлось вытягивать лишнее.
------- Comment #2 From 2003-02-06 10:34:48 -------
У меня ситуация с точностью до наоборот. Заявлено было 67 пакетов, а
поставлено/обновлено 69. Более того - за alsa2 \&quot;зацепились\&quot; alsa22
и kernel22. В результате этого пришлось вытягивать лишнее.
------- Comment #3 From 2005-11-02 16:07:30 -------
Очень похоже что правильно пишу. 
Вот логи: 
 
2 upgraded, 1 newly installed, 0 removed and 564 not upgraded. 
Need to get 16,3kB of archives. 
After unpacking 5867B of additional disk space will be used. 
Do you want to continue? [Y/n] 
Get:1 ftp://bone.asd i586/sisyphus pam0_mktemp 1.0.1-alt1 [7508B] 
Get:2 ftp://bone.asd i586/sisyphus pam-config 1.2.1-alt1 [5296B] 
Get:3 ftp://bone.asd i586/sisyphus pam0-config 1.2.1-alt1 [3512B] 
Fetched 16,3kB in 0s (41,4kB/s) 
Committing changes... 
Preparing...                 ########### [100%] 
1: pam0_mktemp               ########### [ 33%] 
2: pam-config                ########### [ 66%] 
Done. 
 
Куда пропал третий пакет? 
------- Comment #4 From 2005-11-02 19:54:00 -------
(In reply to comment #3)
> Куда пропал третий пакет? 
wrar@wrars-comp ~ $ rpm -ql pam0-config
(не содержит файлов)

Пустые пакеты не отображаются.
------- Comment #5 From 2005-11-03 13:05:10 -------
> > Куда пропал третий пакет?  
>  
> Пустые пакеты не отображаются. 
 
Может тогда багу закрывать? Трудно верится что ради такого кто-то будет 
ковырять rpm. 
------- Comment #6 From 2005-11-26 00:37:07 -------
Да, вряд ли станет.
------- Comment #7 From 2008-02-15 21:38:49 -------
re
------- Comment #8 From 2008-02-15 21:39:04 -------
apparently wontfix